package com.example.demo.controller;

import com.example.demo.model.ScUser;
import com.example.demo.service.ScUserServiceI;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author FXF
 * @date 2018-09-11
 */
@RestController
@RefreshScope
public class TestController {
    
    @Value("${abc}")
    private String abc;
    
    @Autowired
    private ScUserServiceI scUserService;
    
    @RequestMapping("/hello")
    @ResponseBody
    public String index(){
        return abc;
    }
    
    /**
     * 获取所有的用户信息
     * @return
     */
    @RequestMapping("/user")
    @ResponseBody
    public List<ScUser> getUser(){
        return scUserService.getUser();
    }
}
